namespace View_by_Distance.Shared.Models.Stateless.Methods;

public interface IMappingFromItem
{ // ...

    MappingFromItem TestStatic_GetMappingFromItem(Models.Item item, Models.FileHolder? resizedFileHolder)
        => GetMappingFromItem(item, resizedFileHolder);
    static MappingFromItem GetMappingFromItem(Models.Item item, Models.FileHolder? resizedFileHolder)
        => MappingFromItem.GetMappingFromItem(item, resizedFileHolder);

    MappingFromItem TestStatic_GetMappingFromItem(Models.Item item)
        => GetMappingFromItem(item);
    static MappingFromItem GetMappingFromItem(Models.Item item)
        => GetMappingFromItem(item, item.ResizedFileHolder);

}